"""
   helper functions for parsing types   
   
   The helper function for types in this module use type info globally
   defined in this module to parse and check types during parsing.
"""   
# Author: Harco Kuppens



# variable types sets (set only in python 2.7 and higher, not in 2.6)
# int_representations={'int','integer'}
# bool_representations={'bool','boolean'}
# all_types=bool_representations.union(int_representations)


int_representations=['int','integer']
bool_representations=['bool','boolean']
string_representations=['string']
all_types=  int_representations +  bool_representations + string_representations


def is_type(type):
    type=type.lower()
    if  type in all_types:
       return True
    else:
       return False

def check_type(type):
    if not is_type(type):
        print "Error: unknown type: " + type
        exit(1)

def parse_primitive_type(type):
    type=type.lower()
    if type in bool_representations:
      return 'bool'
      #return "Boolean"
    if type in int_representations:
      return 'int'
      #return "Integer"
    if type in string_representations:
      return "String"

    print "Error: unknown type: " + type
    exit(1)


def parse_class_type(type):
    type=type.lower()
    if type in bool_representations:
      #return 'bool'
      return "Boolean"
    if type in int_representations:
      #return 'int'
      return "Integer"
    if type in string_representations:
      return "String"

    print "Error: unknown type: " + type
    exit(1)

