"""
   mv actions from output transition to input transition
"""
# Author: Harco Kuppens

# standard library modules 
import sys, os,  pprint, re, getpass, tempfile, xml.etree.ElementTree  # standard libraries
import argparse # only in standard lib for python 2.7 and later -> installed local copy  (pure python versions)


# external library modules (not in standard library)
#   -> installed local copy   (pure python versions)
import pyuppaal  

# self written modules 
import model_parser 
import util
import pp_xml

def uppaal_pretty_print(input_file,output_file):

    model=pyuppaal.from_xml(input_file)
    f=open(output_file,'w')
    f.write( pp_xml.pformat(model.to_xml(),step="    ") )
    f.close()
    return 

def args_parsing(args):
    import os.path
    argparser = argparse.ArgumentParser(prog=os.path.basename(args[0]))

    argparser.add_argument('modelfile1', help='input uppaal model file')
    argparser.add_argument('modelfile2', help='output uppaal model file')

    parse_result=argparser.parse_args(args[1:])

    # handle input/output file argument
    modelfile1=os.path.abspath(parse_result.modelfile1).replace('\\','/')
    modelfile2=os.path.abspath(parse_result.modelfile2).replace('\\','/')
    # Note: on windows also interprets / as dir sep, and returns path with windows \

    util.check_isreadablefile(modelfile1)

    return  [modelfile1,modelfile2]

def main(args):
    """

    """
    (modelfile1,modelfile2)=args_parsing(args)
    uppaal_pretty_print(modelfile1,modelfile2)

 
if __name__ == "__main__":
    try:
        main(sys.argv)
    except KeyboardInterrupt as e:
        print >> sys.stderr, "\n\nExiting on user cancel."
        sys.exit(1)
